Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.portal.actions
Class PortletInstanceAction

    java.lang.Object
      com.bea.portal.tools.portal.actions.PortalControlAction
          com.bea.portal.tools.portal.actions.PortletInstanceAction

All Implemented Interfaces
  ControlAction

    public class PortletInstanceAction

extends PortalControlAction

Objects extending this class implement actions to be taken on portal controls. These may be used to specify multiple actions which need to occur in a single transaction by calling the Portal controls' executeActions() method.

Method Summary
`void` | `doAction(ResourceContext context)` Method that actually performs the action on the control.
`String` | `toString()`
`static PortletInstanceAction` | `updatePortletInstance(PortletInstanceControl control, PortletInstance portletInstance)` Updates the portlet instance outside the context of a desktop (in a Library) when the action is executed.
`static PortletInstanceAction` | `updatePortletInstance(PortletInstanceControl control, PortletInstance portletInstance, DesktopDefinitionId desktopDefinitionId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### updatePortletInstance

    public static PortletInstanceAction updatePortletInstance(PortletInstanceControl control,
                                                              PortletInstance portletInstance,
                                                              DesktopDefinitionId desktopDefinitionId)

### updatePortletInstance

    public static PortletInstanceAction updatePortletInstance(PortletInstanceControl control,
                                                              PortletInstance portletInstance)

  Updates the portlet instance outside the context of a desktop (in a Library) when the action is executed. For Admins editing the primary instance (not placed on any page) use the PortletDefinitionManager.updatePortletDefinition().

  Parameters
    `control` - the control to execute the action on
    `portletInstance` - the portlet instance containing the new data

### doAction

    public void doAction(ResourceContext context)
                  throws Exception

  Method that actually performs the action on the control.

  Specified by:
    `doAction` in interface `ControlAction`
  Specified by:
    `doAction` in class `PortalControlAction`
  Throws
    `Exception`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved